!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of the Boolean 
C	data type. Testing for this example was done with
C	Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAA.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAA -sn Main=DATAA ¶
-sn f_RunTime=DATAA ¶
-sn f_Intrinsics=DATAA ¶
	DATAA.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAA.rsc
!!ENDC

C	Source code

	integer*2 function DATAA(%val(bool))
	
	integer*2 bool
	
		DATAA =  (bool = ((1 - bool) *bool))
	
	return
	end
	
		
	